WARNING: Category '' in library OneWire is not valid. Setting to 'Uncategorized'

I was getting this error after updating to IDE 1.6.7. Didn't matter what I compiled, still got this error. OneWire was a library that I used at some point but was not using it now. I deleted OneWire from my library and the problem went away.

That’s not an error. It’s a warning related to an IDE option that library doesn’t use. You can just ignore it.